import random
from aiortc.contrib.media import MediaBlackhole, MediaPlayer, MediaRecorder, MediaRelay
from aiortc import VideoStreamTrack, AudioStreamTrack

class MyAudioTrack(AudioStreamTrack):
	def __init__(self):
		super().__init__()
		self.source = None

	def set_source(self, source):
		self.source = source.audio

	async def recv(self):
		print('MyAudioTrack::recv(): called')
		
		if self.source is None:
			return None
		f = self.source.recv()
		if f is None:
			print('MyAudioTrack::recv():return None')
		return f

class MyVideoTrack(VideoStreamTrack):
	def __init__(self):
		super().__init__()
		self.source = None

	def set_source(self, source):
		self.source = source.video

	async def recv(self):
		print('MyVideoTrack::recv(): called')
		if self.source is None:
			return None
		f = self.source.recv()
		return f
